package cn.iocoder.yudao.module.order.vo.orderLocation;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.util.List;

@ApiModel("管理后台 - 订单仓位更新 Request New VO")
@Data
@ToString
public class OrderLocationUpdateReqSummaryVO {

    @ApiModelProperty(value = "订单id", required = true)
    @NotNull(message = "订单id不能为空")
    private Long orderId;

    @ApiModelProperty(value = "订单项id", required = true)
    @NotNull(message = "订单项id不能为空")
    private Long orderItemId;

    @ApiModelProperty(value = "入仓id", required = true)
    @NotNull(message = "订单项入仓id不能为空")
    private Long warehouseInId;

    @ApiModelProperty(value = "入仓储位集合")
    private List<OrderLocationUpdateReqVO> orderLocationUpdateReqVOList;

}
